# 160226 - read haplotypes and distribute onto single files!

setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta SCHMALNAU/2 HiSeq TierMix scripts/R scripte/Extract_haplotypes/1 make_single_files")


# remove old fasta files!!!
table(file.remove(list.files("1 Single_files", full.names=T)))



# import folmer!
folmer <- readLines("../sequ_OK_incNs_658.fasta")

folmer_ID <- folmer[seq(1, length(folmer), 2)]
folmer_sequ <- folmer[seq(2, length(folmer), 2)]
folmer_sequ <- gsub("-", "", folmer_sequ) # remove gaps
#folmer_sequ <- gsub("N", "-", folmer_sequ) # replace N with gap

folmer_ID <- sub("(.*) Con.*", "\\1", folmer_ID) # remove "concatinated sequ..."

folmer_exp <- sub(">", "", folmer_ID)
folmer_exp <- paste("1 Single_files/", gsub("(.*_.*)_.*_.*", "\\1", folmer_exp), ".txt", sep="")


folmer_ID_F <- paste(folmer_ID, "_F", sep="")
folmer_ID_R <- paste(folmer_ID, "_R", sep="")


for (m in 1:length(folmer_ID)){
cat(paste(folmer_ID_F[m], substr(folmer_sequ[m], 1, 270), sep="\n"), file=folmer_exp[m], sep="\n", append=T)
cat(paste(folmer_ID_R[m], substr(folmer_sequ[m], 389, 658), sep="\n"), file=folmer_exp[m], sep="\n", append=T)
}


haplo_files <- c("../BF2_BR2_haplo.txt", "../BF2_BR1_haplo.txt", "../BF1_BR2_haplo.txt", "../BF1_BR1_haplo.txt")


i <- 1

for (i in 1:4){

data <- readLines(haplo_files[i])

data_ID <- data[seq(1, length(data), 2)]
data_sequ <- data[seq(2, length(data), 2)]


data_exp <- sub(">", "", data_ID)
data_exp <- paste("1 Single_files/", gsub("(.*_.*)_.*_.*_.*_.*", "\\1", data_exp), ".txt", sep="")

for (m in 1:length(data_ID)){
cat(paste(data_ID[m], data_sequ[m], sep="\n"), file= data_exp[m], sep="\n", append=T)
}
}












